Insight
Get overall summary
Returns the overall summary of the vehicle. This summarizes everything since the vehicle / IoT device was put into service and adds some other interesting information.
GET
/
vehicle
/
{vehicle_id}
/
summary
/
overall
Get overall summary
curl --request GET \
--url https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/summary/overall \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/summary/overall"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}/summary/overall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"vehicle_id": "<string>",
"timestamp_last_update": "2023-11-07T05:31:56Z",
"timestamp_last_processed": "2023-11-07T05:31:56Z",
"distance_tot": 123,
"distance_avg": 123,
"duration_tot": 123,
"duration_avg": 123,
"speed_max": 123,
"speed_avg": 123,
"battery_main_min": 123,
"battery_main_max": 123,
"num_trips": 123,
"fuel_timestamp_last_refueled": "2023-11-07T05:31:56Z",
"fuel_num_refueled": 123,
"fuel_used": 123,
"fuel_timestamp_last_update": 123,
"fuel_num_calibration_updates": 123
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to retrieve the overall summary for.
Response
Successful retrieval of this vehicle's overall summary.
⌘I
Get overall summary

